---
updatedAt: 2026-06-01T14:12:58.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Brazil

Sample structures of the `E_KYC_CHECK` API responses for Brazil CPF Verification (bra\_gov\_cpf).

# GREEN

The following response example represents successful checks.

```json
{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2024-03-21 11:39:23",
      "id": "6fe0ec3b-c6d8-4c53-afc6-f33751dbf1c2",
      "inputDoc": {
        "idDocType": "TAX_PAYER_NUMBER_DOC",
        "country": "BRA",
        "number": "07244434529" // CPF
      },
      "extractedDoc": {
        "firstName": "LUCAS OLIVEIRA", // Applicant complete name
        "aliasName": "MARIA LURDES", // Mother name
        "gender": "M",
        "dob": "1991-01-15",
        "placeOfBirth": "BRASILEIRA",
        "additionalFields": [
          {
            "name": "registrationStatus",
            "value": "Regular"
          },
          {
            "name": "fatherName",
            "value": "JOHN DOE"
          }
        ]
      },
      "ekycCheckInfo": {
        "externalFaceMatch": true,
        "faceMatchAnswer": "GREEN",
        "selfieImageId": 118005011, // Image ID of the submitted Liveness selfie
        "faceMatchScore": 0.9491729928035084
      }
    }
  ]
}
```

# Response explained

The response represents a singleton list of checks.

## Root variables

The root variables are the core Non-Doc check result data items. Some of them may include nested attributes and element fields.

| Field           | Type                                | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| :-------------- | :---------------------------------- | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`            | String                              | Unique identifier of the check.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| `answer`        | String                              | Check answer:<ul><li><code>GREEN</code> — the check has passed successfully. Data found in the database.</li><li><code>YELLOW</code> — verification process is not yet complete. We await the applicant's completion of the required steps.</li><li><code>RED</code> — the check shows a high risk indication. Data found but the applicant data does not match the database record. In some cases, it may also mean that no data was found. Please see the response examples for more information.</li><li><code>ERROR</code> — verification was not completed because the service was unavailable or the system failed to process the response.</li></ul> |
| `inputDoc`      | [Object](#inputdoc-attributes)      | Represents the data used for the database check.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `checkType`     | String                              | Indicates that it is a `E_KYC_CHECK` check type.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `extractedDoc`  | [Object](#extracteddoc-attributes)  | External check source data. It may not be present if the data is not received.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| `createdAt`     | Date                                | Date and time (UTC) of the latest Non-Doc check result.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
| `ekycCheckInfo` | [Object](#ekyccheckinfo-attributes) | Represents face matching results.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           |
| `violations`    | Array of strings                    | Indicates violations that were found:<ul><li><code>DATA\_NOT\_FOUND</code> — data not found.</li><li><code>INVALID\_DOC\_NUMBER</code> — invalid or irregular CPF.</li><li><code>INVALID\_ID\_STATUS</code> — CPF status invalid (suspended/cancelled/nulled).</li><li><code>PERSON\_IS\_MINOR</code> — person is underage.</li><li><code>DEAD</code> — deceased person.</li><li><code>SELFIE\_MISMATCH</code> — selfie doesn’t match the photo in the exnernal source.</li></ul>                                                                                                                                                                           |

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data taken from the provided document.

| Field       | Type   | Description                                                                                                            |
| :---------- | :----- | :--------------------------------------------------------------------------------------------------------------------- |
| `idDocType` | String | Type of the document provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`. |
| `country`   | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                               |
| `number`    | String | CPF number provided by the applicant.                                                                                  |

## `extractedDoc` attributes

The `extractedDoc` object includes the data obtained from the external source during the `E_KYC_CHECK` check.

| Field              | Type                                                 | Description                                                                                                               |
| :----------------- | :--------------------------------------------------- | :------------------------------------------------------------------------------------------------------------------------ |
| `country`          | String                                               | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`).                                                                  |
| `firstName`        | String                                               | Applicant full name.                                                                                                      |
| `aliasName`        | String                                               | Full (complete) mother name.                                                                                              |
| `dob`              | Date                                                 | Applicant date of birth (format `YYYY-mm-dd`, for example, `2001-09-25`) as it is specified in the document.              |
| `placeOfBirth`     | String                                               | Applicant place of birth. This can be a city, a town or another settlement type. There is no length limit for this field. |
| `gender`           | String                                               | Gender of the applicant (`M`, `F`, or `X`).                                                                               |
| `additionalFields` | [Array of objects](#additionalfields-element-fields) | A collection of key-value pairs, representing additional information about the applicant.                                 |

## `additionalFields` element fields

An array of key-value pairs providing non-standard additional information.

Example:

```json
{
  "name": "fatherName",
  "value": "JOHN DOE"
}
```

The following table explains some of the possible keys.

| Key                  | Value type | Value description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| :------------------- | :--------- | :------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `registrationStatus` | String     | <p>CPF number registration status:</p><ul><li><code>REGULAR</code> — CPF number is active without any pending issues.</li><li><code>PENDENTE DE REGULARIZACAO</code> — CPF number is awaiting regularization due to missing information.</li><li><code>SUSPENSA</code> — CPF number is temporarily suspended due to minor information inconsistencies.</li><li><code>NULA</code> — CPF number is temporarily suspended due to major information inconsistencies.</li><li><code>CANCELADA</code> — CPF number is permanently suspended.</li><li><code>TITULAR FALECIDO</code> — CPF number is permanently suspended due to the holder's death.</li></ul> |
| `fatherName`         | String     | Full father name.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |

## `ekycCheckInfo` attributes

| Field               | Type    | Description                                                                                                                                                                                                                                                                                                                                           |
| :------------------ | :------ | :---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `externalFaceMatch` | Boolean | Indicates that the face match verification is done using an external source.                                                                                                                                                                                                                                                                          |
| `faceMatchAnswer`   | String  | Face match verification results:<ul><li>`GREEN` — the face matches the photo in the external source.</li><li>`YELLOW` — we are uncertain whether the face matches the photo in the external source.</li><li>`RED` — the face does not match the photo in the external source.</li><li>`IGNORED` — no face match verification was conducted.</li></ul> |
| `selfieImageId`     | Integer | Image ID of the submitted Liveness selfie.                                                                                                                                                                                                                                                                                                            |
| `faceMatchScore`    | Double  | Numerical confidence score of the face match result in the range from `0` to `1`. Higher value indicates a higher probability of a match.                                                                                                                                                                                                             |

<br />